
U251_E2_EE2_Gen_norm<-read.table("U251_seules/Data_U251_E2_Gen.txt", sep="\t", header=TRUE)   
colnames_U251<-colnames(U251_E2_EE2_Gen_norm)
U251_E2_EE2_Gen_norm_means<-apply(U251_E2_EE2_Gen_norm[,-1], 2, function(x) rep(aggregate(x,list(as.factor(U251_E2_EE2_Gen_norm$Concentration)), function(x) exp(mean(log(x))))[,2],each=3))# the means for each treatment in cols 11:19
matplot(U251_E2_EE2_Gen_norm[-(1:3),1], U251_E2_EE2_Gen_norm_means[-(1:3),], log="xy", type="l", col=1:9, xlab="concentration (M)", ylab="fold induction", lty=1:9)
U251_E2_EE2_Gen_norm<-data.frame(Concentration = U251_E2_EE2_Gen_norm[,1], t(apply(U251_E2_EE2_Gen_norm[,2:5],1,function(x) as.numeric(x/(U251_E2_EE2_Gen_norm_means[1,]))))) # divided by the mean of the C=0 treatment 
colnames(U251_E2_EE2_Gen_norm)<-c("Concentration", paste(colnames_U251[-1], "_global_norm", sep=""))
U251_E2_EE2_Gen_norm_mean<-apply(U251_E2_EE2_Gen_norm[,-1], 2, function(x) rep(aggregate(x,list(as.factor(U251_E2_EE2_Gen_norm$Concentration)), function(x) exp(mean(log(x))))[,2],each=3))  # mean value of the normalized values (for matplot) 



###################################################################################
# modeling
U251_E2_EE2_Gen_norm<-data.frame(U251_E2_EE2_Gen_norm, Conc1000=U251_E2_EE2_Gen_norm$Concentration*1000)# avoid numeric problems with low concentrations

U251_Gen_ERalpha.log.Hill4_paper <- drm(log(Genistein_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(), na.action=na.omit)
modelFit(U251_Gen_ERalpha.log.Hill4_paper) # 0.0612
U251_Gen_ERbeta2.log.Hill4_paper <- drm(log(Genistein_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(), na.action=na.omit)
modelFit(U251_Gen_ERbeta2.log.Hill4_paper) #0.3407
U251_E2_ERalpha.log.Hill4_paper <- drm(log(E2_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(), na.action=na.omit)
modelFit(U251_E2_ERalpha.log.Hill4_paper) # 0.0078
U251_E2_ERbeta2.log.Hill4_paper <- drm(log(E2_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(), na.action=na.omit)
modelFit(U251_E2_ERbeta2.log.Hill4_paper)# 0.0623
plot(U251_Gen_ERalpha.log.Hill4_paper, type="all")
plot(U251_Gen_ERbeta2.log.Hill4_paper, type="all", add=TRUE, col=4)
plot(U251_E2_ERbeta2.log.Hill4_paper, type="all", add=TRUE, col=2)
plot(U251_E2_ERalpha.log.Hill4_paper, type="all", add=TRUE, col=3)

# common max and min
optim(par=c(0,3), function(x) sum(c(drm(log(E2_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(NA, x[1], x[2], NA)), na.action=na.omit)$fit$value, drm(log(Genistein_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(NA, x[1], x[2], NA)), na.action=na.omit)$fit$value)))
# $par
# [1] -0.09586383  3.63994894


U251_Gen_ERalpha.log.Hill4_paper_min_max <- drm(log(Genistein_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(NA, -0.09586383, 3.63994894, NA)), na.action=na.omit)
modelFit(U251_Gen_ERalpha.log.Hill4_paper_min_max) 
U251_E2_ERalpha.log.Hill4_paper_min_max <- drm(log(E2_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(NA, -0.09586383, 3.63994894, NA)), na.action=na.omit)
modelFit(U251_E2_ERalpha.log.Hill4_paper_min_max) 

optim(par=c(0,3), function(x) sum(c(drm(log(E2_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(NA, x[1], x[2], NA)), na.action=na.omit)$fit$value, drm(log(Genistein_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(NA, x[1], x[2], NA)), na.action=na.omit)$fit$value)))
# -0.03832855  3.36894856
U251_Gen_ERbeta2.log.Hill4_paper_min_max <- drm(log(Genistein_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(NA, -0.03832855, 3.36894856, NA)), na.action=na.omit)
modelFit(U251_Gen_ERbeta2.log.Hill4_paper_min_max)
# EC50 3.048e-06  
U251_E2_ERbeta2.log.Hill4_paper_min_max <- drm(log(E2_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(NA, -0.03832855, 3.36894856, NA)), na.action=na.omit)
modelFit(U251_E2_ERbeta2.log.Hill4_paper_min_max)
# EC50 1.170e-07  


# common max and min and slope
common_min_max_slope_a<-optim(par=c(-1,0,3), function(x) sum(c(drm(log(E2_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(x[1], x[2],x[3], NA)), na.action=na.omit)$fit$value, drm(log(Genistein_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(x[1], x[2],x[3], NA)), na.action=na.omit)$fit$value)))$par
# $par-0.9105668 -0.0793925  3.6617698
U251_Gen_ERalpha.log.Hill4_paper_min_max_slope <- drm(log(Genistein_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(common_min_max_slope_a, NA)), na.action=na.omit)
modelFit(U251_Gen_ERalpha.log.Hill4_paper_min_max_slope) # 0.0451
anova(U251_Gen_ERalpha.log.Hill4_paper_min_max_slope, U251_Gen_ERalpha.log.Hill4_paper_min_max) # 0.0131
# EC50=  5.077e-05  
confint(U251_Gen_ERalpha.log.Hill4_paper_min_max_slope)
U251_E2_ERalpha.log.Hill4_paper_min_max_slope <- drm(log(E2_ERalpha_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(common_min_max_slope_a, NA)), na.action=na.omit)
modelFit(U251_E2_ERalpha.log.Hill4_paper_min_max_slope) # 0.0248
anova(U251_E2_ERalpha.log.Hill4_paper_min_max_slope, U251_E2_ERalpha.log.Hill4_paper_min_max) # 0.0660
# EC50=  1.856e-07 
confint(U251_E2_ERalpha.log.Hill4_paper_min_max_slope)

common_min_max_slope_b2<-optim(par=c(-1,0,3), function(x) sum(c(drm(log(E2_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(x[1], x[2],x[3], NA)), na.action=na.omit)$fit$value, drm(log(Genistein_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(x[1], x[2],x[3], NA)), na.action=na.omit)$fit$value)))$par
#-0.79993916 -0.04893855  3.23267660
# not ok:
U251_Gen_ERbeta2.log.Hill4_paper_min_max_slope <- drm(log(Genistein_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(common_min_max_slope_b2, NA)), na.action=na.omit)
modelFit(U251_Gen_ERbeta2.log.Hill4_paper_min_max_slope) #
anova(U251_Gen_ERbeta2.log.Hill4_paper_min_max_slope, U251_Gen_ERbeta2.log.Hill4_paper_min_max) 
confint(U251_Gen_ERbeta2.log.Hill4_paper_min_max_slope)
U251_E2_ERbeta2.log.Hill4_paper_min_max_slope <- drm(log(E2_ERbeta2_global_norm) ~ Conc1000, data = U251_E2_EE2_Gen_norm, fct = LL.4(fixed = c(common_min_max_slope_b2, NA)), na.action=na.omit)
modelFit(U251_E2_ERbeta2.log.Hill4_paper_min_max_slope)# 
anova(U251_E2_ERbeta2.log.Hill4_paper_min_max_slope, U251_E2_ERbeta2.log.Hill4_paper_min_max) 
confint(U251_E2_ERbeta2.log.Hill4_paper_min_max_slope)

EC50_alpha<-unlist(lapply(list(U251_E2_ERalpha.log.Hill4_paper_min_max_slope, U251_Gen_ERalpha.log.Hill4_paper_min_max_slope), function(x) x$coefficients))/1000
EC50_beta2<-unlist(lapply(list(U251_E2_ERbeta2.log.Hill4_paper_min_max, U251_Gen_ERbeta2.log.Hill4_paper_min_max), function(x) ED(x, respLev=50, display=FALSE)[1]))/1000


