# with geometric mean
ZGM_E2_EE2_Gen<-read.table("D:/Mes documents/MIXES/Zebra_GM/Substances_seules/Data_E2_EE2_Gen_ZGM.txt", sep="\t", header=TRUE)  # this was the data sent 
summary(ZGM_E2_EE2_Gen)
ZGM_E2_EE2_Gen_DMSO_means<-aggregate(ZGM_E2_EE2_Gen[which(ZGM_E2_EE2_Gen$concentration==0),]$intensite, by=list(ZGM_E2_EE2_Gen[which(ZGM_E2_EE2_Gen$concentration==0),]$essai), function(x) exp(mean(log(x)))) # changed this for paper
ZGM_E2_EE2_Gen_DMSO_means_rep<-rep(ZGM_E2_EE2_Gen_DMSO_means[,2], times=as.numeric(table(ZGM_E2_EE2_Gen$essai)))
ZGM_E2_EE2_Gen_relative_0<-data.frame(ZGM_E2_EE2_Gen, I=ZGM_E2_EE2_Gen$intensite/ZGM_E2_EE2_Gen_DMSO_means_rep) # cela fonctionne car les essais sont dans l'ordre alphabétique. 
library(reshape)
ZGM_E2_EE2_Gen_relative_0$concentration[which(ZGM_E2_EE2_Gen_relative_0$substance=="E2")]<-ZGM_E2_EE2_Gen_relative_0$concentration[which(ZGM_E2_EE2_Gen_relative_0$substance=="E2")]*10000 # attention 
ZGM_E2_EE2_Gen_geom_mean_0<-cast(melt(ZGM_E2_EE2_Gen_relative_0, id.vars=c(1,3,5), measure.vars=6), concentration~essai, function(x) exp(mean(log(x), na.rm=TRUE))) # les essais pour une même substance n'ont pas toujours été faits pour les mêmes concentrations...







jpeg("ZGM_E2_Gen_relative_0.jpg", width=16, height=8, unit="cm", pointsize=8, res=300)
par(mfrow=c(1,2), mar=c(4,4,2,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
matplot(ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,2])),1]/10000, ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,2])),c(2,3)], type="l", log="xy", col=c(1,2), lty=c(1,2), ylab="Fold Induction", xlab="E2 Concentration (M)", main="", xlim=c(10^(-7), 0.005), ylim=c(0.02,180), axes=FALSE) 
box()
axis(1, at=c(10^((-7):(-3))), labels=c(10^((-7):(-3)))/1e6)
axis(2, at=c(0.1, 1, 10,100))
#xlim=range(ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,2:5]), arr.ind=TRUE)[,1],1])
 # , ylim=range(ZGM_E2_EE2_Gen_relative_0$I[which(ZGM_E2_EE2_Gen_relative_0$substance=="E2")])
matlines(ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,4])),1]/10000, ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,4])),4], type="l", col=3, lty=3)
matlines(ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,5])),1]/10000, ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,5])),5], type="l", col=4, lty=4)
points(ZGM_E2_EE2_Gen_relative_0$concentration[which(ZGM_E2_EE2_Gen_relative_0$substance=="E2")]/10000, ZGM_E2_EE2_Gen_relative_0$I[which(ZGM_E2_EE2_Gen_relative_0$substance=="E2")], col=as.numeric(ZGM_E2_EE2_Gen_relative_0$essai[which(ZGM_E2_EE2_Gen_relative_0$substance=="E2")]), pch=as.numeric(ZGM_E2_EE2_Gen_relative_0$essai[which(ZGM_E2_EE2_Gen_relative_0$substance=="E2")]))
abline(h=1, col="grey", lty=2)

par(mar=c(4,2,2,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
matplot(ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,10])),1], ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,10])),10], type="l", log="xy", col=1, lty=1,  ylab="", xlab="Genistein Concentration (M)", main="", xlim=c(10^(-3), 50), ylim=c(0.02,180), axes=FALSE) box()
axis(1, at=c(10^((-3):1)), labels=c(10^((-3):1))/1e6)
axis(2, at=c(0.1, 1, 10,100))
matlines(ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,11])),1], ZGM_E2_EE2_Gen_geom_mean_0[which(!is.na(ZGM_E2_EE2_Gen_geom_mean_0[,11])),11], type="l", col=2, lty=2)
points(ZGM_E2_EE2_Gen_relative_0$concentration[which(ZGM_E2_EE2_Gen_relative_0$essai%in%c("Gen_2", "Gen_3"))], ZGM_E2_EE2_Gen_relative_0$I[which(ZGM_E2_EE2_Gen_relative_0$essai%in%c("Gen_2", "Gen_3"))], col=as.numeric(factor(ZGM_E2_EE2_Gen_relative_0$essai[which(ZGM_E2_EE2_Gen_relative_0$essai%in%c("Gen_2", "Gen_3"))])), pch=as.numeric(factor(ZGM_E2_EE2_Gen_relative_0$essai[which(ZGM_E2_EE2_Gen_relative_0$essai%in%c("Gen_2", "Gen_3"))])))
abline(h=1, col="grey", lty=2)
dev.off()






library(drc)
drm_each_assay<-function(x)
  list(drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL.4(), na.action=na.omit, start=c(-0.5,0,2,1)),x)
drm_E2_EE2_Gen<-lapply(levels(ZGM_E2_EE2_Gen_relative_0$essai)[-c(5:8)], drm_each_assay)
sum(unlist(lapply(drm_E2_EE2_Gen, function(w) sum((w[[1]]$predres[,2])^2)))) # 61.84032
unlist(lapply(drm_E2_EE2_Gen, function(w) modelFit(w[[1]])$"p value"))

x11()
par(mfrow=c(2,3), mgp=c(2,0.5,0), mar=c(3,3,2.5,0.5))
plot_drms<-function(x)
  plot(x[[1]], type="all", ylim=c(-1,2.5),main=x[[2]], broken=TRUE)
plots<-lapply(drm_E2_EE2_Gen, plot_drms)


# same max and min
common_min_max<-optim(par=c(0,2), fn=function(z) sum(unlist(lapply(levels(ZGM_E2_EE2_Gen_relative_0$essai)[-c(5:8)], y=z, function(x,y) drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL.4(fixed=c(NA, z[1], z[2], NA)), start=c(-0.5,1), na.action=na.omit)$fit$value))))$par
# $par
# [1] -0.05013656  1.49313978
# 
# $value
# [1] 45.64694



F_value_fixed_max<-NULL
pf_value_fixed_max<-NULL
#par(mfrow=c(3.3), mar=c(4,3,0,0.5), mgp=c(1.8,0.5,0))
for (i in c(1:4,9:10)){
  res<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i]), fct = LL.4(), start=c(-0.5,0,1,1), na.action=na.omit)$fit$value
  res_fixed<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i]), fct = LL.4(fixed=c(NA, common_min_max[1], common_min_max[2], NA)), start=c(-0.5,1), na.action=na.omit)$fit$value
  F_value_fixed_max<-c(F_value_fixed_max, (res_fixed-res)/res/2*(sum(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i])-1-4))
  pf_value_fixed_max<-c(pf_value_fixed_max, 1-pf(rev(F_value_fixed_max)[1],2,(sum(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i])-1-4)))
}
#0.0003656929 0.0173321226 0.0173048086 0.0864912021 0.3575833722 0.5825106909
#ne passe pas pour E2_1
levels(ZGM_E2_EE2_Gen_relative_0$essai)[c(1:4,9:10)][pf_value_fixed_max>0.01]  


common_min<-optimize(interval=c(-0.5,0.5), f=function(z) sum(unlist(lapply(levels(ZGM_E2_EE2_Gen_relative_0$essai)[-c(5:8)], y=z, function(x,y) drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL.4(fixed=c(NA, z, NA, NA)), na.action=na.omit)$fit$value))), maximum=FALSE)$minimum

F_value_fixed_min<-NULL
pf_value_fixed_min<-NULL
#par(mfrow=c(3.3), mar=c(4,3,0,0.5), mgp=c(1.8,0.5,0))
for (i in c(1:4,9:10)){
  res<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i]), fct = LL.4(), start=c(-0.5,0,1,1), na.action=na.omit)$fit$value
  res_fixed<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i]), fct = LL.4(fixed=c(NA, common_min, NA, NA)), start=c(-0.5,1,1), na.action=na.omit)$fit$value
  F_value_fixed_min<-c(F_value_fixed_min, (res_fixed-res)/res/1*(sum(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i])-1-4))
  pf_value_fixed_min<-c(pf_value_fixed_min, 1-pf(rev(F_value_fixed_min)[1],1,(sum(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i])-1-4)))
} # OK à 1%


# #same slope
# optimize(function(z) sum(unlist(lapply(levels(ZGM_E2_EE2_Gen_relative_0$essai)[-c(5:8)], y=z, function(x,y) drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL.4(fixed=c(y, common_min, NA, NA)), na.action=na.omit)$fit$value))), interval=c(-2,-0.3),maximum=FALSE)
# # $minimum
# # [1] -1.444587
# # 
# # $objective
# # [1] 43.53929
# common_slope<-optimize(function(z) sum(unlist(lapply(levels(ZGM_E2_EE2_Gen_relative_0$essai)[-c(5:8)], y=z, function(x,y) drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL.4(fixed=c(y, common_min, NA, NA)), na.action=na.omit)$fit$value))), interval=c(-2,-0.3),maximum=FALSE)$minimum
# 
# F_value_fixed_slope<-NULL
# pf_value_fixed_slope<-NULL
# x11()
# par(mfrow=c(2,3), mgp=c(2,0.5,0), mar=c(3,3,2.5,0.5))
# for (i in c(1:4,9:10)){
#   res<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i]), fct = LL.4(), na.action=na.omit)$fit$value
#   res_fixed<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i]), fct = LL.4(fixed=c(common_slope, common_min, NA, NA)), na.action=na.omit)$fit$value
#   plot(drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i]), fct = LL.4(fixed=c(common_slope, common_min, NA, NA)), na.action=na.omit), type="all")
#   F_value_fixed_slope<-c(F_value_fixed_slope, (res_fixed-res)/2/res*(sum(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i])-1-4))
#   pf_value_fixed_slope<-c(pf_value_fixed_slope, 1-pf(rev(F_value_fixed_slope)[1],2,(sum(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i])-1-4)))
# }
# #0.11332540 0.10891799 0.02254990 0.08972763 0.27662934 0.82039833
# levels(ZGM_E2_EE2_Gen_relative_0$essai)[c(1:4,9:10)][pf_value_fixed_slope<0.01]  # perte de qualité pourE2_3, EE2_2 à 1% seulement pour E2_3

# revision 12th January 2018
common_slope2<-optimize(function(z) sum(unlist(lapply(levels(ZGM_E2_EE2_Gen_relative_0$essai)[-c(5:8)], y=z, function(x,y) drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL.4(fixed=c(y, NA, NA, NA)), na.action=na.omit)$fit$value))), interval=c(-2,-0.3),maximum=FALSE)$minimum

F_value_fixed_slope2<-NULL
pf_value_fixed_slope2<-NULL
x11()
par(mfrow=c(2,3), mgp=c(2,0.5,0), mar=c(3,3,2.5,0.5))
for (i in c(1:4,9:10)){
  res<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i]), fct = LL.4(), na.action=na.omit)$fit$value
  res_fixed<-drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i]), fct = LL.4(fixed=c(common_slope2, NA, NA, NA)), na.action=na.omit)$fit$value
  plot(drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i]), fct = LL.4(fixed=c(common_slope2, NA, NA, NA)), na.action=na.omit), type="all")
  F_value_fixed_slope2<-c(F_value_fixed_slope2, (res_fixed-res)/1/res*(sum(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i])-1-4))
  pf_value_fixed_slope2<-c(pf_value_fixed_slope2, 1-pf(rev(F_value_fixed_slope2)[1],1,(sum(ZGM_E2_EE2_Gen_relative_0$essai==levels(ZGM_E2_EE2_Gen_relative_0$essai)[i])-1-4)))
}
# 0.3918261 0.9695100 0.1778973 0.3529182 0.1609547 0.7312248
levels(ZGM_E2_EE2_Gen_relative_0$essai)[c(1:4,9:10)][pf_value_fixed_slope2<0.01]  # pas de perte de qualité 



# second version of EC50s (12 January 2018)
EC50_gm2<-unlist(lapply(levels(ZGM_E2_EE2_Gen_relative_0$essai)[-c(5:8)], function(x) drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL.4(fixed=c(common_slope2, NA, NA, NA)), na.action=na.omit)$coefficients[3]) )
EC50_gm2<-EC50_gm2/c(rep(10000,4), 1,1)
# e:(Intercept) e:(Intercept) e:(Intercept) e:(Intercept) e:(Intercept) e:(Intercept) 
# 1.578078e-04  6.689637e-05  2.905762e-04  8.319123e-04  2.618900e+00  7.980049e-01 
EC50_gm2_confint<-t(sapply(levels(ZGM_E2_EE2_Gen_relative_0$essai)[-c(5:8)], function(x) signif(exp(confint(drm(log10(I) ~ concentration, data = ZGM_E2_EE2_Gen_relative_0, subset=which(ZGM_E2_EE2_Gen_relative_0$essai==x), fct = LL2.4(fixed=c(common_slope2, NA, NA, NA)), na.action=na.omit))[3,]),3)) )
data.frame(EC50=signif(EC50_gm2,3), EC50_gm2_confint/c(rep(10000,4), 1,1))*1e-06

mean_EC50_gm2<-aggregate(data.frame(EC50=EC50_gm2), by=list(rep(levels(ZGM_E2_EE2_Gen_relative_0$substance)[c(1,3)], times=c(4,2))), function(x) exp(mean(log(x))))[,2]

mean_EC50_rounded<-c(0.00031250,  1.56250000)

ratios_E2_Gen_ZGM_gm2<-rbind(c(mean_EC50_gm2[1],0), c(mean_EC50_gm2[1]*3/4, mean_EC50_gm2[2]/4), c(mean_EC50_gm2[1]/2, mean_EC50_gm2[2]/2), c(mean_EC50_gm2[1]/4, mean_EC50_gm2[2]*3/4), c(0, mean_EC50_gm2[2]))
short_design_E2_Gen_ZGM_gm2<-data.frame(matrix(apply((ratios_E2_Gen_ZGM_gm2),1,function(x) t(4^((2):(-2))%o%x)), nrow=25,ncol=2, byrow=TRUE), ratio=rep(c("1:0","3:1","1:1","1:3","0:1"), each=5), dilution=rep(1/c(4^((2):(-2)))*16,5))


ratios_E2_Gen_ZGM_rounded<-rbind(c(mean_EC50_rounded[1],0), c(mean_EC50_rounded[1]*3/4, mean_EC50_rounded[2]/4), c(mean_EC50_rounded[1]/2, mean_EC50_rounded[2]/2), c(mean_EC50_rounded[1]/4, mean_EC50_rounded[2]*3/4), c(0, mean_EC50_rounded[2]))
short_design_E2_Gen_ZGM_rounded<-data.frame(matrix(apply((ratios_E2_Gen_ZGM_rounded),1,function(x) t(4^((2):(-2))%o%x)), nrow=25,ncol=2, byrow=TRUE), ratio=rep(c("1:0","3:1","1:1","1:3","0:1"), each=5), dilution=rep(1/c(4^((2):(-2)))*16,5))

jpeg("ZGM_E2_Gen_design.jpg", width=8, height=8, unit="cm", pointsize=12, res=300)
par(mar=c(4,4,0.5,0.5), mgp=c(2.5,1.2,0))
plot(short_design_E2_Gen_ZGM_rounded[,c(1,2)], xlab="E2 (microM)", ylab="Genistéine (microM)", pch=3, ylim=c(0,max(short_design_E2_Gen_ZGM_rounded[,2],short_design_E2_Gen_ZGM_gm2[,2])), xlim=c(0,max(short_design_E2_Gen_ZGM_rounded[,1], short_design_E2_Gen_ZGM_gm2[,1])), main="") 
points(short_design_E2_Gen_ZGM_gm2[,c(1,2)], pch=2, col=2)
abline(a=0,b=mean_EC50_gm2[2]/mean_EC50_gm2[1]/3, lty=2)
abline(a=0,b=mean_EC50_gm2[2]/mean_EC50_gm2[1], lty=2)
abline(a=0,b=mean_EC50_gm2[2]/mean_EC50_gm2[1]*3, lty=2)
abline(v=0, lty=2)
abline(a=0, b=0,lty=2)
dev.off()
#plot(full_design_E2_Gen_beta1_rounded[,c(1,2)], xlab="E2", ylab="Gen", pch=3, log="xy") 
write.table(ratios_E2_Gen_ZGM_rounded*16, "ratios_E2_Gen_ZGM_rounded.txt", sep="\t")
write.table(short_design_E2_Gen_ZGM_rounded, "short_design_E2_Gen_ZGM_rounded.txt", sep="\t")



# en évitant les grandes valeurs pour la génistéine
short_design_E2_Gen_ZGM_rounded_bis<-short_design_E2_Gen_ZGM_rounded
short_design_E2_Gen_ZGM_rounded_bis[11,1:2]<-short_design_E2_Gen_ZGM_rounded[11,1:2]/2
short_design_E2_Gen_ZGM_rounded_bis[c(16,21),1:2]<-short_design_E2_Gen_ZGM_rounded[c(16,21),1:2]/4
short_design_E2_Gen_ZGM_rounded_bis[c(17,22),1:2]<-short_design_E2_Gen_ZGM_rounded[c(17,22),1:2]/2
short_design_E2_Gen_ZGM_rounded_bis[11,4]<-short_design_E2_Gen_ZGM_rounded[11,4]*2
short_design_E2_Gen_ZGM_rounded_bis[c(16,21),4]<-short_design_E2_Gen_ZGM_rounded[c(16,21),4]*4
short_design_E2_Gen_ZGM_rounded_bis[c(17,22),4]<-short_design_E2_Gen_ZGM_rounded[c(17,22),4]*2

jpeg("ZGM_E2_Gen_design_bis.jpg", width=8, height=8, unit="cm", pointsize=12, res=300)
par(mar=c(4,4,0.5,0.5), mgp=c(2.5,1.2,0))
plot(short_design_E2_Gen_ZGM_rounded_bis[,c(1,2)], xlab="E2 (microM)", ylab="Genistéine (microM)", pch=3, ylim=c(0,max(short_design_E2_Gen_ZGM_rounded_bis[,2],short_design_E2_Gen_ZGM_gm2[,2])), xlim=c(0,max(short_design_E2_Gen_ZGM_rounded_bis[,1], short_design_E2_Gen_ZGM_gm2[,1])), main="") 
points(short_design_E2_Gen_ZGM_gm2[,c(1,2)], pch=2, col=2)
abline(a=0,b=mean_EC50_gm2[2]/mean_EC50_gm2[1]/3, lty=2)
abline(a=0,b=mean_EC50_gm2[2]/mean_EC50_gm2[1], lty=2)
abline(a=0,b=mean_EC50_gm2[2]/mean_EC50_gm2[1]*3, lty=2)
abline(v=0, lty=2)
abline(a=0, b=0,lty=2)
dev.off()


