ZGM_mixture_E2_Gen_gm<-read.table("Zebra_GM/E2_Gen/Data_mixture_E2_Gen_ZGM.txt", sep="\t", header=TRUE)  # this was the data sent 
source("functions_mixtures_E2_Gen_paper.r")
summary(ZGM_mixture_E2_Gen_gm)

ZGM_mixture_E2_Gen_gm_DMSO_means<-aggregate(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$E2==0)&(ZGM_mixture_E2_Gen_gm$Genistein==0)),]$intensite, by=list(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$E2==0)&(ZGM_mixture_E2_Gen_gm$Genistein==0)),]$essai), function(x) exp(mean(log(x))))
ZGM_mixture_E2_Gen_gm_DMSO_means_rep<-rep(ZGM_mixture_E2_Gen_gm_DMSO_means[,2], times=as.numeric(table(ZGM_mixture_E2_Gen_gm$essai)))
ZGM_mixture_E2_Gen_gm_relative<-data.frame(ZGM_mixture_E2_Gen_gm, I=ZGM_mixture_E2_Gen_gm$intensite/ZGM_mixture_E2_Gen_gm_DMSO_means_rep) # cela fonctionne car les essais sont dans l'ordre alphabétique. 
ZGM_mixture_E2_Gen_gm_geom_mean<-cast(melt(ZGM_mixture_E2_Gen_gm_relative, id.vars=c(1,2,3,4,6), measure.vars=7), E2+Genistein+Num~essai, function(x) exp(mean(log(x), na.rm=TRUE))) 

N_1<-dim(ZGM_mixture_E2_Gen_gm[which(ZGM_mixture_E2_Gen_gm$essai=="E2_Gen_1"),])[1]

x11()
jpeg("hist_low_levels.jpg", height=20, width=12, pointsize=8, res=300, unit="cm")
par(mfrow=c(6,2), mar=c(3,3,2,0.1), mgp=c(1.8,0.8,0))
names_test<-c("control 1", "control 2", "E2 min 1", "E2 min 2", "3E2:Gen min 1", "3E2:Gen min 2","E2:Gen min 1","E2:Gen min 2","E2:3Gen min 1","E2:3Gen min 2", "Gen min 1", "Gen min 2")
num_test<-rep(c(26, 5,10,15,20,25), each=2)
for (i in 1:12){
  hist(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$Num==num_test[i])&(ZGM_mixture_E2_Gen_gm$essai==levels(ZGM_mixture_E2_Gen_gm$essai)[-ceiling(i/2-floor(i/2))+2])),]$intensite), main=names_test[i], xlim=c(5.8,8), ylim=c(0,7), xlab="log intensity", col="grey", breaks=seq(5.8,8,by=0.2))
  abline(v=log10(ZGM_mixture_E2_Gen_gm_DMSO_means[-ceiling(i/2-floor(i/2))+2,2]), col=2, lwd=2)
}
dev.off()
jpeg("hist_second_low_levels.jpg", height=17, width=12, pointsize=8, res=300, unit="cm")
par(mfrow=c(5,2), mar=c(3,3,2,0.1), mgp=c(1.8,0.8,0))
for (i in 3:12){
  hist(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$Num==num_test[i]-1)&(ZGM_mixture_E2_Gen_gm$essai==levels(ZGM_mixture_E2_Gen_gm$essai)[-ceiling(i/2-floor(i/2))+2])),]$intensite), main=names_test[i], xlim=c(5.8,8), ylim=c(0,7), xlab="log intensity", col="grey", breaks=seq(5.8,8,by=0.2))
  abline(v=log10(ZGM_mixture_E2_Gen_gm_DMSO_means[-ceiling(i/2-floor(i/2))+2,2]), col=2, lwd=2)
}
dev.off()
jpeg("hist_fourth_low_levels.jpg", height=17, width=12, pointsize=8, res=300, unit="cm")
par(mfrow=c(5,2), mar=c(3,3,2,0.1), mgp=c(1.8,0.8,0))
for (i in 3:12){
  hist(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$Num==num_test[i]-3)&(ZGM_mixture_E2_Gen_gm$essai==levels(ZGM_mixture_E2_Gen_gm$essai)[-ceiling(i/2-floor(i/2))+2])),]$intensite), main=names_test[i], xlim=c(6.8,9), ylim=c(0,10), xlab="log intensity", col="grey", breaks=seq(6.8,9,by=0.2))
  abline(v=log10(ZGM_mixture_E2_Gen_gm_DMSO_means[-ceiling(i/2-floor(i/2))+2,2]), col=2, lwd=2)
}
dev.off()
jpeg("hist_cumul_low_levels.jpg", height=6, width=12, pointsize=8, res=300, unit="cm")
par(mfrow=c(1,2), mar=c(3,3,2,0.1), mgp=c(1.8,0.8,0))
hist(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$Num%in%(num_test[-c(1,2)]))&(ZGM_mixture_E2_Gen_gm$essai==levels(ZGM_mixture_E2_Gen_gm$essai)[1])),]$intensite), main="all lowest, exp 1", xlim=c(5.8,8), ylim=c(0,22), xlab="log intensity", col="grey", breaks=seq(5.8,8,by=0.2))
hist(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$Num%in%(num_test[-c(1,2)]))&(ZGM_mixture_E2_Gen_gm$essai==levels(ZGM_mixture_E2_Gen_gm$essai)[2])),]$intensite), main="all lowest, exp 2", xlim=c(5.8,8), ylim=c(0,22), xlab="log intensity", col="grey", breaks=seq(5.8,8,by=0.2))
dev.off()
shapiro.test(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$Num%in%(num_test[-c(1,2)]))&(ZGM_mixture_E2_Gen_gm$essai==levels(ZGM_mixture_E2_Gen_gm$essai)[1])),]$intensite)) # p-value = 0.03092
shapiro.test(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$Num%in%(num_test[-c(1,2)]))&(ZGM_mixture_E2_Gen_gm$essai==levels(ZGM_mixture_E2_Gen_gm$essai)[2])),]$intensite)) # p-value = 0.119
shapiro.test(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$Num%in%(num_test[-c(1,2)]-4))&(ZGM_mixture_E2_Gen_gm$essai==levels(ZGM_mixture_E2_Gen_gm$essai)[1])),]$intensite)) # p-value = 0.3925
shapiro.test(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$Num%in%(num_test[-c(1,2)]-4))&(ZGM_mixture_E2_Gen_gm$essai==levels(ZGM_mixture_E2_Gen_gm$essai)[2])),]$intensite)) # p-value = 0.2942

# go to other file for analysis of Exp2 (second dataset)

        jpeg("ZGM_mixture_E2_Gen_gm_relative_geom.jpg", width=20, height=5, unit="cm", pointsize=6, res=300)
        par(mfrow=c(1,5), mar=c(4,4,2,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),4], type="l", log="xy", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration (nM)", main="E2", xlim=c(10^(-2), 5), ylim=c(0.04,45))
        points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),5], type="l", col=2, lty=2)
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]*1000, ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))], col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]))
        abline(h=1)
        par(mar=c(4,2,2,0.5))
            
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),2]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),4], type="l", log="xy", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", main="E2:Gen 3:1", xlim=c(10^(-2), 5), ylim=c(0.04,45))
        points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),2]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),5], type="l", col=2, lty=2)
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]*1000+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))], col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]))
        abline(h=1)
        
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),2]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),4], type="l", log="xy", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", main="E2:Gen 1:1", xlim=c(10^(-2), 5), ylim=c(0.04,45))
        points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),2]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),5], type="l", col=2, lty=2)
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]*1000+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))], col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]))
        abline(h=1)
        
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),2]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),4], type="l", log="xy", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", main="E2:Gen 1:3", xlim=c(10^(-2), 5), ylim=c(0.04,45))
        points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),2]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),5], type="l", col=2, lty=2)
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]*1000+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))], col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]))
        abline(h=1)
        
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),2]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),4], type="l", log="xy", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", main="E2:Gen 0:1", xlim=c(10^(-2), 5), ylim=c(0.04,45))
        points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),2]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),5], type="l", col=2, lty=2)
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]*1000+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))], col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]))
        abline(h=1)
        dev.off()



        
        jpeg("ZGM_mixture_E2_Gen_gm_relative_all_essay1.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
        par(mar=c(4,4,0.5,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which((ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),1]*1000, ZGM_mixture_E2_Gen_gm_geom_mean[which((ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),4], type="l", log="xy", col=1, lty=1, ylab="fold induction", xlab="Concentration eq E2 (nM)", xlim=c(10^(-2), 5), ylim=c(0.3,90))
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"))]*1000, ZGM_mixture_E2_Gen_gm_relative$I[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"))], col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"))]))
        abline(h=1)
        for (i in 2:5){
          points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),4], type="l", col=i, lty=i)
          points(ZGM_mixture_E2_Gen_gm_relative$E2[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%((5*(i-1)+1):(5*i)))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"))]*1000+ZGM_mixture_E2_Gen_gm_relative$Genistein[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%((5*(i-1)+1):(5*i)))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"))]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_relative$I[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%((5*(i-1)+1):(5*i)))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"))], col=i, pch=i)
        }
        legend("topleft", col=1:5, pch=1:5, lty=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=2)
        dev.off()

        jpeg("ZGM_mixture_E2_Gen_gm_relative_all_essay2.jpg", width=8, height=8, unit="cm", pointsize=7, res=300)
        par(mar=c(4,4,0.5,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),5], type="l", log="xy", col=1, lty=1, ylab="fold induction", xlab="Concentration eq E2 (nM)", xlim=c(10^(-2), 5), ylim=c(0.05,70))
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_2"))]*1000, ZGM_mixture_E2_Gen_gm_relative$I[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_2"))], col=1, pch=1)
        abline(h=1)
        for (i in 2:5){
          points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),5], type="l", col=i, lty=i)
          points(ZGM_mixture_E2_Gen_gm_relative$E2[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%((5*(i-1)+1):(5*i)))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_2"))]*1000+ZGM_mixture_E2_Gen_gm_relative$Genistein[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%((5*(i-1)+1):(5*i)))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_2"))]*1000/mean_EC50[3]*mean_EC50[1], ZGM_mixture_E2_Gen_gm_relative$I[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%((5*(i-1)+1):(5*i)))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_2"))], col=i, pch=i)
        }
        legend("topleft", col=1:5, pch=1:5, lty=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=2)
        dev.off()








# model single compounds and predict CA and IA
res_E2_gm_min_drc<-drm(log10(I)~E2, fct=LL.4(), data=ZGM_mixture_E2_Gen_gm_relative[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),])
modelFit(res_E2_gm_min_drc)# Hill OK for E2 p=  0.5467
res_Gen_gm_min_drc<-drm(log10(I)~Genistein, fct=LL.4(), data=ZGM_mixture_E2_Gen_gm_relative[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),])
modelFit(res_Gen_gm_min_drc)# Hill OK for Gen p=  0.3205

res_ray1_gm_min_drc<-drm(log10(I)~Genistein, fct=LL.4(), data=ZGM_mixture_E2_Gen_gm_relative[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),])
modelFit(res_ray1_gm_min_drc)# Hill OK  p=  0.8827
res_ray2_gm_min_drc<-drm(log10(I)~Genistein, fct=LL.4(), data=ZGM_mixture_E2_Gen_gm_relative[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),])
modelFit(res_ray2_gm_min_drc)# Hill OK  p= 0.9407
res_ray3_gm_min_drc<-drm(log10(I)~Genistein, fct=LL.4(), data=ZGM_mixture_E2_Gen_gm_relative[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),])
modelFit(res_ray3_gm_min_drc)# Hill OK  p=  0.9753


# common max and min 
common_max_mixture_gm_min<-optim(par=c(0,1.2), fn=function(x) (drm(log10(I)~E2, fct=LL.4(fixed=c(NA,x[1],x[2],NA)), data=ZGM_mixture_E2_Gen_gm_relative[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),])$fit$value + drm(log10(I)~Genistein, fct=LL.4(fixed=c(NA,x[1],x[2], NA)), data=ZGM_mixture_E2_Gen_gm_relative[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),])$fit$value))$par
#0.06367161 1.24331452
res_E2_gm_min_common_max<-drm(log10(I)~E2, fct=LL.4(fixed=c(NA,common_max_mixture_gm_min,NA)), data=ZGM_mixture_E2_Gen_gm_relative[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),])
# 0.9644391459 0.0001615143
res_Gen_gm_min_common_max<-drm(log10(I)~Genistein, fct=LL.4(fixed=c(NA,common_max_mixture_gm_min,NA)), data=ZGM_mixture_E2_Gen_gm_relative[which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")),])
# 1.6171490 0.7106442

F_value_fixed_max_mixture_E2<-(res_E2_gm_min_common_max$fit$value-res_E2_gm_min_drc$fit$value) / 2 / res_E2_gm_min_drc$fit$value*(length(which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")))-4-1)
pf_value_fixed_max_mixture_E2<-1-pf(rev(F_value_fixed_max_mixture_E2)[1],2,(length(which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")))-4-1))
#  0.5942864
F_value_fixed_max_mixture_Gen<-(res_Gen_gm_min_common_max$fit$value-res_Gen_gm_min$fit$value) / 2 / res_Gen_gm_min$fit$value*(length(which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")))-4-1)
pf_value_fixed_max_mixture_Gen<-1-pf(rev(F_value_fixed_max_mixture_Gen)[1],2,(length(which((ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))&(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")))-4-1))
# 0.776388
# ok for common max and min
res_E2_Gen_gm_min_CA<-CA_complete2_Min(C_mat=ZGM_mixture_E2_Gen_gm_relative[,3:4], Min=common_max_mixture_gm_min[1], Max=common_max_mixture_gm_min[2], Slopes=c(-res_E2_gm_min_common_max$res$par[1], -res_Gen_gm_min_common_max$res$par[1]), Ec50s=c(res_E2_gm_min_common_max$res$par[2], res_Gen_gm_min_common_max$res$par[2]))
grid_E2_not_log<-seq(0,0.0008, length=21)
grid_Gen_not_log<-seq(0,4, length=41)
grid_E2_Gen_gm_not_log<-expand.grid(grid_E2_not_log, grid_Gen_not_log)
grid_E2_Gen_gm_not_log<-grid_E2_Gen_gm_not_log[order(rev(grid_E2_Gen_gm_not_log$Var2)),]

res_E2_Gen_gm_min_CA_grid<-CA_complete2_Min(C_mat=grid_E2_Gen_gm_not_log, Min=common_max_mixture_gm_min[1], Max=common_max_mixture_gm_min[2], Slopes=c(-res_E2_gm_min_common_max$res$par[1], -res_Gen_gm_min_common_max$res$par[1]), Ec50s=c(res_E2_gm_min_common_max$res$par[2], res_Gen_gm_min_common_max$res$par[2]))
res_E2_Gen_gm_min_CA_grid_persp<-persp(x=grid_E2_not_log, y=grid_Gen_not_log, z=matrix(res_E2_Gen_gm_min_CA_grid[order(grid_E2_Gen_gm_not_log[,2])],nrow=length(grid_E2_not_log), ncol=length(grid_Gen_not_log), byrow=FALSE), theta=-30, phi=25, zlab="Response", zlim=c(0,2), ticktype="detailed", col="lightblue",d=100, shade=0.5)
points(trans3d(x=ZGM_mixture_E2_Gen_gm_relative[,3], y=ZGM_mixture_E2_Gen_gm_relative[,4], z=log10(ZGM_mixture_E2_Gen_gm_relative$I), pmat=res_E2_Gen_gm_CA_grid_persp), col=2,pch=16)
ray_E2<-data.frame(E2=exp((seq(log(0.000001),log(0.01), length=100))), Gen=0) # attention ce sont les rayons non arrondis!
ray_3E2_Gen<-data.frame(E2=exp((seq(log(0.000001),log(0.01), length=100))), Gen=exp((seq(log(0.000001),log(0.01), length=100)))*mean_EC50[3]/mean_EC50[1]/3)
ray_E2_Gen_gm<-data.frame(E2=exp((seq(log(0.000001),log(0.01), length=100))), Gen=exp((seq(log(0.000001),log(0.01), length=100)))*mean_EC50[3]/mean_EC50[1])
ray_E2_3Gen<-data.frame(E2=exp((seq(log(0.000001),log(0.01), length=100))), Gen=exp((seq(log(0.000001),log(0.01), length=100)))*mean_EC50[3]/mean_EC50[1]*3)
ray_Gen<-data.frame(E2=0, Gen=exp((seq(log(0.000001),log(0.01), length=100)))*mean_EC50[3]/mean_EC50[1])
list_ray<-list(ray_E2, ray_3E2_Gen, ray_E2_Gen_gm, ray_E2_3Gen, ray_Gen)
list_res_ray_gm_min<-lapply(list_ray, function(x) CA_complete2_Min(C_mat=x, Min=common_max_mixture_gm_min[1], Max=common_max_mixture_gm_min[2], Slopes=c(-res_E2_gm_min_common_max$res$par[1], -res_Gen_gm_min_common_max$res$par[1]), Ec50s=c(res_E2_gm_min_common_max$res$par[2], res_Gen_gm_min_common_max$res$par[2])))
list_res_ray_IA_gm_min<-lapply(list_ray, function(x) IA_Min(C_mat=x, Min=common_max_mixture_gm_min[1], Max=common_max_mixture_gm_min[2], Slopes=c(-res_E2_gm_min_common_max$res$par[1], -res_Gen_gm_min_common_max$res$par[1]), Ec50s=c(res_E2_gm_min_common_max$res$par[2], res_Gen_gm_min_common_max$res$par[2])))

contour(x=grid_E2_not_log, y=grid_Gen_not_log, matrix(IA_Min(C_mat=grid_E2_Gen_gm_not_log, Min=common_max_mixture_gm_min[1], Max=common_max_mixture_gm_min[2], Slopes=c(-res_E2_gm_min_common_max$res$par[1], -res_Gen_gm_min_common_max$res$par[1]), Ec50s=c(res_E2_gm_min_common_max$res$par[2], res_Gen_gm_min_common_max$res$par[2]))[order(grid_E2_Gen_gm_not_log[,2])],nrow=length(grid_E2_not_log), ncol=length(grid_Gen_not_log), byrow=FALSE)) # interaction not obvious from DR curves

        jpeg("ZGM_mixture_E2_Gen_gm_min_relative_CA.jpg", width=20, height=5, unit="cm", pointsize=6, res=300)
        par(mfrow=c(1,5), mar=c(4,4,2,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),4]), type="l", log="x", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration E2 (nM)", main="E2", xlim=c(10^(-2), 5), ylim=c(-1.4,1.7))
        points(ray_E2[,1]*1000, list_res_ray_gm_min[[1]], type="l", lwd=2)
        points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),5]), type="l", col=2, lty=1)
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]*1000, log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(1:5))]))
        abline(h=0)
        legend("topleft", col=1, lty=1, lwd=c(1, 2), legend=c("data", "CA model"), ncol=2)
        par(mar=c(4,2,2,0.5))
        
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),2]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),4]), type="l", log="x", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", main="E2:Gen 3:1", xlim=c(10^(-2), 5), ylim=c(-1.4,1.7))
        points(ray_3E2_Gen[,1]*1000+ray_3E2_Gen[,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[2]], type="l", lwd=2)
        points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),2]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(6:10)),5]), type="l", col=2, lty=1)
        #points(ray_3E2_Gen[,1]*1000+ray_3E2_Gen[,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_Test2[[2]], type="l", lwd=2, col=2)
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]*1000+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(6:10))]))
        legend("topleft", col=1, lty=1, lwd=c(1, 2), legend=c("data", "CA model"), ncol=2)
        abline(h=0)
        
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),2]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),4]), type="l", log="x", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", main="E2:Gen 1:1", xlim=c(10^(-2), 5), ylim=c(-1.4,1.7))
        points(ray_E2_Gen_gm[,1]*1000+ray_E2_Gen_gm[,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[3]], type="l", lwd=2)
        points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),1]+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),2]/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(11:15)),5]), type="l", col=2, lty=1)
        #points(ray_E2_Gen_gm[,1]*1000+ray_E2_Gen_gm[,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_Test2[[3]], type="l", lwd=2, col=2)
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]*1000+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(11:15))]))
        legend("topleft", col=1, lty=1, lwd=c(1, 2), legend=c("data", "CA model"), ncol=2)
        abline(h=0)
        
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),2]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),4]), type="l", log="x", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", main="E2:Gen 1:3", xlim=c(10^(-2), 5), ylim=c(-1.4,1.7))
        points(ray_E2_3Gen[,1]*1000+ray_E2_3Gen[,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[4]], type="l", lwd=2)
        points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),2]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(16:20)),5]), type="l", col=2, lty=1)
        #points(ray_E2_3Gen[,1]*1000+ray_E2_3Gen[,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_Test2[[4]], type="l", lwd=2, col=2)
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]*1000+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(16:20))]))
        legend("topleft", col=1, lty=1, lwd=c(1, 2), legend=c("data", "CA model"), ncol=2)
        abline(h=0)
        
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),2]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),4]), type="l", log="x", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", main="E2:Gen 0:1", xlim=c(10^(-2), 5), ylim=c(-1.4,1.7))
        points(ray_Gen[,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[5]], type="l", lwd=2)
        points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),2]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(21:25)),5]), type="l", col=2, lty=1)
        #points(ray_Gen[,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_Test2[[5]], type="l", lwd=2, col=2)
        points(ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]*1000+ZGM_mixture_E2_Gen_gm_relative$Genistein[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]), col=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]), pch=as.numeric(ZGM_mixture_E2_Gen_gm_relative$essai[which(ZGM_mixture_E2_Gen_gm_relative$Num%in%c(21:25))]))
        legend("topleft", col=1, lty=1, lwd=c(1, 2), legend=c("data", "CA model"), ncol=2)
        abline(h=0)
        dev.off()
        
        
        jpeg("ZGM_mixture_E2_Gen_gm_min_relative_all_essay1_model_CA.jpg", width=8, height=8, unit="cm", pointsize=8, res=300)
        par(mar=c(4,4,0.5,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),4]), type="p", log="x", col=1, pch=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", xlim=c(10^(-2), 5), ylim=c(-0.1,1.4))
        points(list_ray[[1]][,1]*1000+list_ray[[1]][,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[1]], type="l", lwd=2)
        abline(h=0)
        for (i in 2:5){
          points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),4]), type="p", col=i, pch=i)
          points(list_ray[[i]][,1]*1000+list_ray[[i]][,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_gm[[i]], type="l", lwd=2, col=i, lty=i)
        }
        legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
        dev.off()



    
# new TEFs:
jpeg("ZGM_mixture_E2_Gen_gm_min_relative_all_essay1_model_CA_newTEF.jpg", width=8, height=8, unit="cm", pointsize=8, res=300)
par(mar=c(4,4,3.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),4]), type="p", log="x", col=1, pch=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", xlim=c(10^(-2), 5), ylim=c(-0.1,1.4))
points(list_ray[[1]][,1]*1000+list_ray[[1]][,2]*1000/res_Gen_gm_min_common_max$res$par[2]*res_E2_gm_min_common_max$res$par[2], list_res_ray_gm_min[[1]], type="l", lwd=2)
abline(h=0)
title("Concentration Addition predictions")
for (i in 2:5){
  points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]*1000/res_Gen_gm_common_max$res$par[2]*res_E2_gm_common_max$res$par[2], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),4]), type="p", col=i, pch=i)
  points(list_ray[[i]][,1]*1000+list_ray[[i]][,2]*1000/res_Gen_gm_min_common_max$res$par[2]*res_E2_gm_min_common_max$res$par[2], list_res_ray_gm_min[[i]], type="l", lwd=2, col=i, lty=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=c(rep(1,5)), pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()
jpeg("ZGM_mixture_E2_Gen_gm_min_relative_all_essay1_model_IA_newTEF.jpg", width=8, height=8, unit="cm", pointsize=8, res=300)
par(mar=c(4,4,3.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),4]), type="p", log="x", col=1, pch=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", xlim=c(10^(-2), 5), ylim=c(-0.1,1.4))
points(list_ray[[1]][,1]*1000+list_ray[[1]][,2]*1000/res_Gen_gm_min_common_max$res$par[2]*res_E2_gm_min_common_max$res$par[2], list_res_ray_IA_gm_min[[1]], type="l", lwd=2)
abline(h=0)
title("Independent Action predictions")
for (i in 2:5){
  points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]*1000/res_Gen_gm_common_max$res$par[2]*res_E2_gm_common_max$res$par[2], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),4]), type="p", col=i, pch=i)
  points(list_ray[[i]][,1]*1000+list_ray[[i]][,2]*1000/res_Gen_gm_min_common_max$res$par[2]*res_E2_gm_min_common_max$res$par[2], list_res_ray_IA_gm_min[[i]], type="l", lwd=2, col=i, lty=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=1:5, legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off()




# model whole response surface with CA no interaction
res_E2_Gen_gm_min_fit<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")]), upper=c(0.5,3,-0.5,-0.5, 0.001, 10), lower=c(-0.5,0.8,-5,-5,0.00003,0.2), start=c(0,1.3,-1,-1.2,0.0002,1)) #2min
# $Min -0.0073101
# $Max 1.345328
# $Slopes -0.7931501 -1.3105424
# $Ec50s 0.0002329129 0.9379251426
# $RSS 26.12497
res_E2_Gen_gm_min_fit_idslopes<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I)[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], upper=c(0.5,3,-0.5, 0.001, 10), lower=c(-0.5,0.8,-5,0.0001,0.5), identical_slopes=TRUE, start=c(0,1,-1.2, 0.0003, 1.1)) 
# $Min 0.004334022
# $Max 1.332792
# $Slopes -1.056431 -1.056431
# $Ec50s 0.0002232354 0.9212146870
# $RSS 26.76173
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CA_slopes<-model_comp(res_E2_Gen_gm_min_fit, res_E2_Gen_gm_min_fit_idslopes, 6,5, N_1)$p #  0.006165128# vaut le coup d'avoir des pentes différentes (si seuil 5%)


res_E2_Gen_gm_min_fit_SA_modified<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I)[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], upper=c(0.5,2,-0.5,-0.5, 0.001, 10,4), lower=c(-0.5,0.8,-3,-5,0.0001,0.5,-4), start=c(0,1,-1, -1,0.0003, 1.1,0), interact="SA") 
 pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_modified<-model_comp(res_E2_Gen_gm_min_fit_SA_modified, res_E2_Gen_gm_min_fit, 7,6, N_1)$p
# 0.00325262 # c'est significatif

 res_E2_Gen_gm_min_fit_SA<-CA_complete2_fit_Min_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I)[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], upper=c(0.5,2,-0.5,-0.5, 0.001, 10,4), lower=c(-0.5,0.8,-3,-5,0.0001,0.5,-4), start=c(0,1,-1, -1,0.0003, 1.1,0), interact="SA") 
  pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA<-model_comp(res_E2_Gen_gm_min_fit_SA, res_E2_Gen_gm_min_fit, 7,6, N_1)$p
 #  0.01103532# c'est significatif
 
res_E2_Gen_gm_min_fit_SA_idslopes<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I)[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], upper=c(0.5,3,-0.5, 0.001, 10,5), lower=c(-0.5,0.8,-5,0.0001,0.5,0), identical_slopes=TRUE, start=c(0,1,-1.2, 0.0003, 1.1,2), interact="SA") 

pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_modified_slopes<-model_comp(res_E2_Gen_gm_min_fit_SA_modified, res_E2_Gen_gm_min_fit_SA_idslopes, 7,6, N_1)$p 
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_slopes<-model_comp(res_E2_Gen_gm_min_fit_SA, res_E2_Gen_gm_min_fit_SA_idslopes, 7,6, N_1)$p 
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_idslopes<-model_comp(res_E2_Gen_gm_min_fit_SA_idslopes, res_E2_Gen_gm_min_fit_idslopes, 6,5, N_1)$p 

contour(x=grid_E2_not_log, y=grid_Gen_not_log, z=matrix(CA_complete2_Min(C_mat=grid_E2_Gen_gm_not_log, Min=res_E2_Gen_gm_min_fit_SA$Min, Max=res_E2_Gen_gm_min_fit_SA$Max, Slopes=res_E2_Gen_gm_min_fit_SA$Slopes, Ec50s=res_E2_Gen_gm_min_fit_SA$Ec50s, a=res_E2_Gen_gm_min_fit_SA$a, interact="SA")[order(grid_E2_Gen_gm_not_log[,2])],nrow=length(grid_E2_not_log), ncol=length(grid_Gen_not_log), byrow=FALSE), asp=mean_EC50[1]/mean_EC50[3])
points(short_design_E2_Gen_gm_ZGM_rounded_bis[,c(1,2)], col=2)
list_res_ray_SA_gm_min<-lapply(list_ray, function(x) CA_complete2_Min_modified_nlm(C_mat=x, Min=res_E2_Gen_gm_min_fit_SA$Min, Max=res_E2_Gen_gm_min_fit_SA$Max, Slopes=res_E2_Gen_gm_min_fit_SA$Slopes, Ec50s=res_E2_Gen_gm_min_fit_SA$Ec50s, a=res_E2_Gen_gm_min_fit_SA$a, interact="SA"))
jpeg("ZGM_mixture_E2_Gen_gm_min_relative_all_essay1_model_CA_SA.jpg", width=8, height=8, unit="cm", pointsize=6, res=300)
        par(mar=c(4,4,0.5,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
        plot(list_ray[[1]][,1]*1000+list_ray[[1]][,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray[[1]], type="l", log="x", col=1, lty=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", xlim=c(10^(-2), 5), ylim=c(-0.1,1.4))
        points(list_ray[[1]][,1]*1000+list_ray[[1]][,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_SA_gm_min[[1]], type="l", lwd=2)
        abline(h=0)
        for (i in 2:5){
          points(list_ray[[i]][,1]*1000+list_ray[[i]][,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min[[i]], type="l", col=i, lty=i)
          points(list_ray[[i]][,1]*1000+list_ray[[i]][,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_SA_gm_min[[i]], type="l", lwd=2, col=i, lty=i)
        }
        legend("topleft", col=c(1:5, 1, 1), lty=c(1:5, 1, 1), lwd=c(rep(1,5), 1, 2), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen", "CA", "CA+Antagonism"), ncol=2)
        dev.off()
        jpeg("ZGM_mixture_E2_Gen_gm_min_relative_all_essay1_model_SA.jpg", width=8, height=8, unit="cm", pointsize=8, res=300)
        par(mar=c(4,4,0.5,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),4]), type="p", log="x", col=1, pch=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", xlim=c(10^(-2), 5), ylim=c(-0.1,1.4))
        points(list_ray[[1]][,1]*1000+list_ray[[1]][,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_SA_gm_min[[1]], type="l", lwd=2)
        abline(h=0)
        for (i in 2:5){
          points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]*1000/mean_EC50[3]*mean_EC50[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),4]), type="p", col=i, pch=i)
          points(list_ray[[i]][,1]*1000+list_ray[[i]][,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_SA_gm_min[[i]], type="l", lwd=2, col=i, lty=i)
        }
        legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"))
        dev.off() # super sauf pour le rouge.

res_E2_Gen_gm_min_fit_DR_modified<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I)[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], upper=c(0.5, 2,-0.5,-0.5, 0.001, 3,4,4), lower=c(-0.5,0.8,-2,-3,0.0001,0.5,-4,-4), interact="DR", start=c(0,1.3,-1,-1, 0.0003, 1.1,0,0), identical_slopes=FALSE) # à tous les coups de la corrélation entre a et b.
res_E2_Gen_gm_min_fit_DR<-CA_complete2_fit_Min_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I)[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], upper=c(0.5, 2,-0.5,-0.5, 0.001, 3,4,4), lower=c(-0.5,0.8,-2,-3,0.0001,0.5,-4,-4), interact="DR", start=c(0,1.3,-1,-1, 0.0003, 1.1,0,0), identical_slopes=FALSE) # à tous les coups de la corrélation entre a et b.
res_E2_Gen_gm_min_fit_DR_idslopes<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I)[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], upper=c(0.5,3,-0.5, 0.001, 10,5,5), lower=c(-0.5,0.8,-5,0.0001,0.5,-5,-5), identical_slopes=TRUE, start=c(0,1,-1.2, 0.0003, 1.1,2,-1), interact="DR") 

pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_DR_modified<-model_comp(res_E2_Gen_gm_min_fit_DR_modified, res_E2_Gen_gm_min_fit_SA_modified, 8,7, N_1)$p 
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CA_DR_modified<-model_comp(res_E2_Gen_gm_min_fit_DR_modified, res_E2_Gen_gm_min_fit, 8,6, N_1)$p 
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_DR<-model_comp(res_E2_Gen_gm_min_fit_DR, res_E2_Gen_gm_min_fit_SA, 8,7, N_1)$p 
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CA_DR<-model_comp(res_E2_Gen_gm_min_fit_DR, res_E2_Gen_gm_min_fit, 8,6, N_1)$p 


pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_modified_slopes<-model_comp(res_E2_Gen_gm_min_fit_DR_modified, res_E2_Gen_gm_min_fit_DR_idslopes, 8,7, N_1)$p #  0
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_slopes<-model_comp(res_E2_Gen_gm_min_fit_DR, res_E2_Gen_gm_min_fit_DR_idslopes, 8,7, N_1)$p #  0.002908328 vaut le coup d'avoir des pentes différentes au seuil 5%
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SADR_idslopes<-model_comp(res_E2_Gen_gm_min_fit_DR_idslopes, res_E2_Gen_gm_min_fit_SA_idslopes, 7,6, N_1)$p #  0.7514252 DR ne vaut pas le coup
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CADR_idslopes<-model_comp(res_E2_Gen_gm_min_fit_DR_idslopes, res_E2_Gen_gm_min_fit_idslopes, 7,5, N_1)$p #  0.7514252 DR ne vaut pas le coup


res_E2_Gen_gm_min_fit_DL<-CA_complete2_fit_Min_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I)[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], upper=c(0.5,2,-0.5,-0.5, 0.0005, 3,4,4), lower=c(-0.5,0.8,-2,-3,0.0001,0.5,-4,-2), interact="DL", start=c(0,1,-1,-1, 0.0003, 1.1,2,-1)) # il a fallu aider un peu 

res_E2_Gen_gm_min_fit_DL_modified<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I)[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], upper=c(0.5,2,-0.5,-0.5, 0.0005, 3,4,4), lower=c(-0.5,0.8,-2,-3,0.0001,0.5,-4,-2), interact="DL", start=c(0,1,-1,-1, 0.0003, 1.1,2,-1)) # il a fallu aider un peu 

res_E2_Gen_gm_min_fit_DL_idslopes<-CA_complete2_fit_Min_modified_nlm_speed(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Response=log10(ZGM_mixture_E2_Gen_gm_relative$I)[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], upper=c(0.5,1.5,-0.7, 0.001, 10,10,5), lower=c(-0.5,0.8,-2,0.00005,0.1,-5,-2), identical_slopes=TRUE, start=c(0,1,-1.4, 0.0003, 0.8,2,0), interact="DL") 

pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SADL_modified<-model_comp(res_E2_Gen_gm_min_fit_DL_modified, res_E2_Gen_gm_min_fit_SA_modified, 8,7, N_1)$p
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CA_DL_modified<-model_comp(res_E2_Gen_gm_min_fit_DL_modified, res_E2_Gen_gm_min_fit, 8,6, N_1)$p # 0
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SADL<-model_comp(res_E2_Gen_gm_min_fit_DL, res_E2_Gen_gm_min_fit_SA, 8,7, N_1)$p
#0.313474 DL pas mieux.
# le modèle à retenir est celui de l'antagonisme simple.
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CA_DL<-model_comp(res_E2_Gen_gm_min_fit_DL, res_E2_Gen_gm_min_fit, 8,6, N_1)$p # 0


pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DL_slopes<-model_comp(res_E2_Gen_gm_min_fit_DL, res_E2_Gen_gm_min_fit_DL_idslopes, 8,7, N_1)$p # 0.00325836 vaut le coup d'avoir des pentes différentes

pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SADL_idslopes<-model_comp(res_E2_Gen_gm_min_fit_DL_idslopes, res_E2_Gen_gm_min_fit_SA_idslopes, 7,6, N_1)$p # 0.2804779 DL ne vaut pas le coup par rapport à SA
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CADL_idslopes<-model_comp(res_E2_Gen_gm_min_fit_DL_idslopes, res_E2_Gen_gm_min_fit_idslopes, 7,5, N_1)$p #  0.7514252 DR ne vaut pas le coup



list_res_ray_gm_min_CA<-lapply(list_ray, function(x) CA_complete2_Min(C_mat=x, Min=res_E2_Gen_gm_min_fit$Min, Max=res_E2_Gen_gm_min_fit$Max, Slopes=res_E2_Gen_gm_min_fit$Slopes, Ec50s=res_E2_Gen_gm_min_fit$Ec50s, interact="none"))
jpeg("ZGM_mixture_E2_Gen_gm_min_relative_all_essay1_model_CA_whole_newTEF.jpg", width=8, height=8, unit="cm", pointsize=8, res=300)
par(mar=c(4,4,1,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),4]), type="p", log="x", col=1, pch=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", xlim=c(10^(-2), 5), ylim=c(-0.1,1.4))
points(list_ray[[1]][,1]*1000, list_res_ray_gm_min_CA[[1]], type="l", lwd=2)
abline(h=0)
#title("Concentration Addition")
for (i in 2:5){
  points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]*1000/res_E2_Gen_gm_fit$Ec50s[2]*res_E2_Gen_gm_fit$Ec50s[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),4]), type="p", col=i, pch=i)
  points(list_ray[[i]][,1]*1000+list_ray[[i]][,2]*1000/res_E2_Gen_gm_min_fit$Ec50s[2]*res_E2_Gen_gm_min_fit$Ec50s[1], list_res_ray_gm_min_CA[[i]], type="l", lwd=2, col=i, lty=i)
}
legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
dev.off() 


grid_E2_not_log<-seq(0,0.0015, length=51)
grid_Gen_not_log<-seq(0,4, length=51)
grid_E2_Gen_gm_not_log<-expand.grid(grid_E2_not_log, grid_Gen_not_log)
grid_E2_Gen_gm_not_log<-grid_E2_Gen_gm_not_log[order(rev(grid_E2_Gen_gm_not_log$Var2)),]

jpeg("ZGM_mixture_E2_Gen_gm_min_relative_contour_model_modified_SA_newTEF.jpg", width=8, height=6, unit="cm", pointsize=7, res=300)
par(mar=c(4,4,0.5,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
contour(x=grid_E2_not_log*1000, y=grid_Gen_not_log*1000, z=matrix(CA_complete2_Min_modified_nlm(C_mat=grid_E2_Gen_gm_not_log, Min=res_E2_Gen_gm_min_fit_SA_modified$Min, Max=res_E2_Gen_gm_min_fit_SA_modified$Max, Slopes=res_E2_Gen_gm_min_fit_SA_modified$Slopes, Ec50s=res_E2_Gen_gm_min_fit_SA_modified$Ec50s, a=res_E2_Gen_gm_min_fit_SA_modified$a, interact="SA")[order(grid_E2_Gen_gm_not_log[,2])],nrow=length(grid_E2_not_log), ncol=length(grid_Gen_not_log), byrow=FALSE), asp=res_E2_Gen_gm_min_fit_SA_modified$Ec50s[1]/res_E2_Gen_gm_min_fit_SA_modified$Ec50s[2], xlab="E2 (nM)", ylab="Genistein (nM)")
dev.off()

list_res_ray_gm_min_SA_modified<-lapply(list_ray, function(x) CA_complete2_Min_modified_nlm(C_mat=x, Min=res_E2_Gen_gm_min_fit_SA_modified$Min, Max=res_E2_Gen_gm_min_fit_SA_modified$Max, Slopes=res_E2_Gen_gm_min_fit_SA_modified$Slopes, Ec50s=res_E2_Gen_gm_min_fit_SA_modified$Ec50s, a=res_E2_Gen_gm_min_fit_SA_modified$a, interact="SA"))

sum((CA_complete2_Min_modified_nlm(C_mat=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),3:4], Min=res_E2_Gen_gm_min_fit_SA_modified$Min, Max=res_E2_Gen_gm_min_fit_SA_modified$Max, Slopes=res_E2_Gen_gm_min_fit_SA_modified$Slopes, Ec50s=res_E2_Gen_gm_min_fit_SA_modified$Ec50s, a=res_E2_Gen_gm_min_fit_SA_modified$a, interact="SA")-log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")]))^2) # 25.4064 ouf j'ai la même chose qu'avec la méthode écrite dans mon rapport.


jpeg("ZGM_mixture_E2_Gen_gm_min_relative_all_essay1_model_modified_SA_newTEF.jpg", width=8, height=8, unit="cm", pointsize=8, res=300)
        par(mar=c(4,4,1,1), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
        plot(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),1]*1000, log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%c(1:5)),4]), type="p", log="x", col=1, pch=1, ylab="log10 fold induction", xlab="Concentration eq E2 (nM)", xlim=c(10^(-2), 5), ylim=c(-0.1,1.4))
        points(list_ray[[1]][,1]*1000+list_ray[[1]][,2]*1000/mean_EC50[3]*mean_EC50[1], list_res_ray_gm_min_SA_modified[[1]], type="l", lwd=2)
        abline(h=0)
        for (i in 2:5){
          points(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),1]*1000+ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),2]*1000/res_E2_Gen_gm_min_fit_SA_modified$Ec50s[2]*res_E2_Gen_gm_min_fit_SA_modified$Ec50s[1], log10(ZGM_mixture_E2_Gen_gm_geom_mean[which(ZGM_mixture_E2_Gen_gm_geom_mean$Num%in%((5*(i-1)+1):(5*i))),4]), type="p", col=i, pch=i)
          points(list_ray[[i]][,1]*1000+list_ray[[i]][,2]*1000/res_E2_Gen_gm_min_fit_SA_modified$Ec50s[2]*res_E2_Gen_gm_min_fit_SA_modified$Ec50s[1], list_res_ray_gm_min_SA_modified[[i]], type="l", lwd=2, col=i, lty=i)
          
        }
        legend("topleft", col=c(1:5), lty=c(1:5), lwd=1, pch=c(1:5), legend=c("E2","E2:Gen 3:1", "E2:Gen 1:1","E2:Gen 1:3", "Gen"), ncol=1)
        dev.off() 
        
#quelle est la variabilité résiduelle de l'anova ?
res_aov_E2_Gen_gm_min_1<-aov(log10(ZGM_mixture_E2_Gen_gm_relative$I[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")])~as.factor(ZGM_mixture_E2_Gen_gm_relative$Num[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")]), data=ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),]) # residuals 24.82489

pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit, 6)$p# 0.3040324 l'Anova n'est pas mieux que CA. donc c'est bien
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_idslopes_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_idslopes, 5)$p# 0.3630895 l'Anova 
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_idslopes_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_SA_idslopes, 6)$p# 0
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_idslopes_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_DR_idslopes, 7)$p
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DL_idslopes_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_DL_idslopes, 7)$p
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_SA, 7)$p# 0.9966086l'Anova n'est pas mieux que SA. donc c'est bien
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_DR, 8)$p# 0.3040324 l'Anova 
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DL_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_DL, 8)$p# 0


pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DL_modified<-model_comp(res_E2_Gen_gm_min_fit_DL_modified, res_E2_Gen_gm_min_fit_SA_modified,8,7,N_1)$p # 0.5695265
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DL_modified_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_DL_modified, 8)$p#  0.9956554



pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_modified<-model_comp(res_E2_Gen_gm_min_fit_DR_modified, res_E2_Gen_gm_min_fit_SA_modified, 8,7,N_1)$p # 1 car même RSS
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_modified_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_DR_modified, 8)$p# 0.9881501 ok

pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_modified_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_SA_modified, 7)$p# 0.9966086l'Anova n'est pas mieux que SA. donc c'est bien
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_modified_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_DR_modified, 8)$p# 0.994148 l'Anova 
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DL_modified_Anova<-modelFit_CA(res_aov_E2_Gen_gm_min_1, res_E2_Gen_gm_min_fit_DL_modified, 8)$p#  0.9956554
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_modified_CA_DR<-model_comp(res_E2_Gen_gm_min_fit_DR_modified, res_E2_Gen_gm_min_fit, 8,6, N_1)$p# 0.01334118 l'Anova 
pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_modified_CA_DL<-model_comp(res_E2_Gen_gm_min_fit_DL_modified, res_E2_Gen_gm_min_fit, 8,6, N_1)$p#  0.01134238


write.table(signif(data.frame(CA=c(unlist(res_E2_Gen_gm_min_fit),NA, NA), CA_modif=rep(0, 9), CA_slope=c(unlist(res_E2_Gen_gm_min_fit_idslopes),NA, NA),
                              SA=c(unlist(res_E2_Gen_gm_min_fit_SA),NA), SA_modif=c(unlist(res_E2_Gen_gm_min_fit_SA_modified), NA), SA_slope=c(unlist(res_E2_Gen_gm_min_fit_SA_idslopes),NA),
                   DR=unlist(res_E2_Gen_gm_min_fit_DR), DR_modif=unlist(res_E2_Gen_gm_min_fit_DR_modified), DR_slope=unlist(res_E2_Gen_gm_min_fit_DR_idslopes),
                   DL=unlist(res_E2_Gen_gm_min_fit_DL), DL_modif=unlist(res_E2_Gen_gm_min_fit_DL_modified), DL_slope=unlist(res_E2_Gen_gm_min_fit_DL_idslopes)),3), "params_E2_Gen_gm_min.txt", sep="\t")
 

write.table(data.frame(Anova=c(summary(res_aov_E2_Gen_gm_1)[[1]][2,2], NA, NA, pf_value_fixed_max_mixture_E2_Gen_gm_whole_Anova), 
                       J=c(res_E2_Gen_gm_min_fit$RSS, NA, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_Anova, NA), J_idslopes=c(res_E2_Gen_gm_min_fit_idslopes$RSS, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CA_slopes, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_idslopes_Anova, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CA_slopes),
                       J_idslopes_SA=c(res_E2_Gen_gm_min_fit_SA_idslopes$RSS, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_idslopes, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_idslopes_Anova, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_idslopes), 
                       J_idslopes_DR=c(res_E2_Gen_gm_min_fit_DR_idslopes$RSS, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SADR_idslopes, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_idslopes_Anova, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CADR_idslopes), 
                       J_idslopes_DL=c(res_E2_Gen_gm_min_fit_DL_idslopes$RSS, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SADL_idslopes, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DL_idslopes_Anova, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CADL_idslopes) ,
                       J_SA=c(res_E2_Gen_gm_min_fit_SA$RSS, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_Anova, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA), 
                       J_DR=c(res_E2_Gen_gm_min_fit_DR$RSS, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_DR, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_Anova, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CA_DR), 
                       J_DL=c(res_E2_Gen_gm_min_fit_DL$RSS, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SADL, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DL_Anova, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_CA_DL), 
                       J_mod_SA=c(res_E2_Gen_gm_min_fit_SA_modified$RSS, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_modified, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_modified_Anova, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_SA_modified), 
                       J_mod_DR=c(res_E2_Gen_gm_min_fit_DR_modified$RSS, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_modified, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DR_modified_Anova, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_modified_CA_DR), 
                       J_mod_DL=c(res_E2_Gen_gm_min_fit_DL_modified$RSS, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DL_modified, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_DL_modified_Anova, pf_value_fixed_max_mixture_E2_Gen_gm_min_whole_modified_CA_DL)), 
                       "res_model_E2_Gen_gm_min.txt", sep="\t")






#isobole model
ZGM_mixture_E2_Gen_gm_relative_for_drm<-data.frame(I=log10(ZGM_mixture_E2_Gen_gm_relative[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1"),]$I), E2=ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], Gen=ZGM_mixture_E2_Gen_gm_relative$Gen[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], dose=ZGM_mixture_E2_Gen_gm_relative$E2[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")]+ZGM_mixture_E2_Gen_gm_relative$Gen[which(ZGM_mixture_E2_Gen_gm_relative$essai=="E2_Gen_1")], pct=NA)
ZGM_mixture_E2_Gen_gm_relative_for_drm$pct<-signif(ZGM_mixture_E2_Gen_gm_relative_for_drm$Gen/(ZGM_mixture_E2_Gen_gm_relative_for_drm$E2+ZGM_mixture_E2_Gen_gm_relative_for_drm$Gen)*100, 5)
ZGM_mixture_E2_Gen_gm_relative_for_drm$pct[which(is.na(ZGM_mixture_E2_Gen_gm_relative_for_drm$pct))]<-999
#dim(ZGM_mixture_E2_Gen_gm_relative_for_drm)
#[1] 318   5

aov(I ~ as.factor(dose), data = ZGM_mixture_E2_Gen_gm_relative_for_drm)
res_ZGM_mixture_E2_Gen_gm_min_free<-drm(I ~ dose, pct, data = ZGM_mixture_E2_Gen_gm_relative_for_drm, fct = LL.4())
modelFit(res_ZGM_mixture_E2_Gen_gm_min_free) # 
#          ModelDf    RSS Df F value p value
# ANOVA         292 24.825                   
# DRC model     298 24.945  6  0.2364  0.9644
res_ZGM_mixture_E2_Gen_gm_min_free_EC <- drm(I ~ dose, pct, data = ZGM_mixture_E2_Gen_gm_relative_for_drm, fct = LL.4(), pmodels = list( ~1,  ~1, ~1, ~factor(pct) - 1))  # variable ec50 for each ray.
modelFit(res_ZGM_mixture_E2_Gen_gm_min_free_EC) # 0.4994 drc accpetable 
anova(res_ZGM_mixture_E2_Gen_gm_min_free_EC, res_ZGM_mixture_E2_Gen_gm_min_free) # 0.18875   can fix Min Max and slope

res_ZGM_mixture_E2_Gen_gm_min_free_EC_slopes <- drm(I ~ dose, pct, data = ZGM_mixture_E2_Gen_gm_relative_for_drm, fct = LL.4(), pmodels = list( ~factor(pct), ~1, ~1, ~factor(pct) - 1))  # variable ec50 and slope for each ray.
modelFit(res_ZGM_mixture_E2_Gen_gm_min_free_EC_slopes) # 0.9747 drc accpetable 
anova(res_ZGM_mixture_E2_Gen_gm_min_free_EC, res_ZGM_mixture_E2_Gen_gm_min_free_EC_slopes) # 0.0178 don't fix slopes

res_ZGM_mixture_E2_Gen_gm_min_free_EC_max <- drm(I ~ dose, pct, data = ZGM_mixture_E2_Gen_gm_relative_for_drm, fct = LL.4(), pmodels = list(~1,~1, ~factor(pct), ~factor(pct) - 1))  # variable ec50 and max for each ray.
modelFit(res_ZGM_mixture_E2_Gen_gm_min_free_EC_max) #   0.7434drc model is acceptable when max and EC50 are different for each ray. 
anova(res_ZGM_mixture_E2_Gen_gm_min_free_EC, res_ZGM_mixture_E2_Gen_gm_min_free_EC_max) ######  0.1261 can fix max and min

isobole(res_ZGM_mixture_E2_Gen_gm_min_free_EC, ylab="Gen", xlab="E2")

## Lack-of-fit test
# RSSanova=24.825 
24.825-sum((log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$E2==0)&(ZGM_mixture_E2_Gen_gm$Genistein==0)&(ZGM_mixture_E2_Gen_gm$essai=="E2_Gen_1")),]$intensite/as.numeric(ZGM_mixture_E2_Gen_gm_DMSO_means[1,2]))-mean(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$E2==0)&(ZGM_mixture_E2_Gen_gm$Genistein==0)&(ZGM_mixture_E2_Gen_gm$essai=="E2_Gen_1")),]$intensite/as.numeric(ZGM_mixture_E2_Gen_gm_DMSO_means[1,2]))))^2)# 23.105 the value I calculate for anova.
# the RSS is actually calculated on all data points.
summary(res_ZGM_mixture_E2_Gen_gm_min_free)
## Plotting isobole structure
isobole(res_ZGM_mixture_E2_Gen_gm_min_free, exchange = 5000, ylab="Gen", xlab="E2")
## Fitting the concentration addition model
res_ZGM_mixture_E2_Gen_gm_min_free.ca <- mixture(res_ZGM_mixture_E2_Gen_gm_min_free_EC, model = "CA")
modelFit(res_ZGM_mixture_E2_Gen_gm_min_free.ca) #0.3559 better use CA than Anova
## Comparing to model with freely varying e parameter
anova(res_ZGM_mixture_E2_Gen_gm_min_free.ca, res_ZGM_mixture_E2_Gen_gm_min_free) # 0.1206 accept CA. 
anova(res_ZGM_mixture_E2_Gen_gm_min_free.ca, res_ZGM_mixture_E2_Gen_gm_min_free_EC) # 0.1381 can accept CA. 
anova(res_ZGM_mixture_E2_Gen_gm_min_free.ca, res_ZGM_mixture_E2_Gen_gm_min_free_EC_slopes) #### 0.0146 better use free slopes and EC 
# RSS=27.525 
26.774-sum((log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$E2==0)&(ZGM_mixture_E2_Gen_gm$Genistein==0)),]$intensite/as.numeric(ZGM_mixture_E2_Gen_gm_DMSO_means[2]))-mean(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$E2==0)&(ZGM_mixture_E2_Gen_gm$Genistein==0)),]$intensite/as.numeric(ZGM_mixture_E2_Gen_gm_DMSO_means[2]))))^2)# 25.805 does not seem to optimise as well as my CA res_E2_Gen_gm_fit_modified$RSS=24.91584
summary(res_ZGM_mixture_E2_Gen_gm_min_free.ca)
## Plotting isobole based on concentration addition
isobole(res_ZGM_mixture_E2_Gen_gm_min_free, res_ZGM_mixture_E2_Gen_gm_min_free.ca, exchange = 5000, ylab="Gen", xlab="E2") 

#RSS=27.066
26.344 -sum((log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$E2==0)&(ZGM_mixture_E2_Gen_gm$Genistein==0)),]$intensite/as.numeric(ZGM_mixture_E2_Gen_gm_DMSO_means[1,2]))-mean(log10(ZGM_mixture_E2_Gen_gm[which((ZGM_mixture_E2_Gen_gm$E2==0)&(ZGM_mixture_E2_Gen_gm$Genistein==0)),]$intensite/as.numeric(ZGM_mixture_E2_Gen_gm_DMSO_means[1,2]))))^2) #25.346 does not seem to optimize as well as mine:res_E2_Gen_gm_fit_SA_modified$RSS=24.29324


jpeg("ZGM_EC_isobole_EC50_Essai1_min.jpg", height=8,width=8, unit="cm",res=300, pointsize=10)
par(mar=c(4,4,2,0.5), cex.axis=1.2, cex.lab=1.2, cex.main=1.5, mgp=c(2.5,1.2,0))
isobole(res_ZGM_mixture_E2_Gen_gm_min_free_EC, ylab="E2 (nM)", xlab="Genistein (nM)", axes=F) # antagonism
box()
axis(1, at=seq(0,1.2, by=0.2), labels=seq(0,1.2, by=0.2)*1000)
axis(2, at=seq(0,0.0003, by=0.0001), labels=seq(0,0.0003, by=0.0001)*1000) 
dev.off()

res_ZGM_mixture_E2_Gen_gm_min_fixed <- drm(I ~ dose, pct, data = ZGM_mixture_E2_Gen_gm_relative_for_drm, fct = LL.4(), pmodels = list(~1, ~1, ~1, ~1))  # fixed DR for all rays
modelFit(res_ZGM_mixture_E2_Gen_gm_min_fixed) # no

                                              
       